#include <bits/stdc++.h>
using namespace std;

struct frls {
    int z; double p;

    frls (int z, double p)
        : z(z), p(p) {}
};

struct cmpTax {
    bool operator()(frls const& f1, frls const& f2) { return f1.p < f2.p; }
};

int main()
{
    int n; cin >> n;

    priority_queue<frls, vector<frls>, cmpTax> q;

    for (int i = 0; i < n; i++)
    {
        int z; cin >> z;
        double p; cin >> p;

        q.push(frls(z, p));
    }

    // cout << (q.top().z) << " " << (q.top().p) << "\n";

    int w = 0; double edge = 0.0; double fresh;
    while (!q.empty())
    {
        int z = (q.top().z);
        double p = (q.top().p);

        w += z;

        if (((w / 100.0) * p) < edge) { cout << (((w - z) / 100.0) * fresh); return 0; }
        edge = (w / 100.0) * p;
        fresh = p;
        q.pop();
    }
}